Bug: AShop Shopping Cart Multiple XSS Vulnerabilities ( Ascii Version )

Search:
WLB2

AShop Shopping Cart Multiple XSS Vulnerabilities

Published
Credit
Risk
2007.01.05
Hackers Center Security Group
Low
CWE
CVE
Local
Remote
CWE-79
CVE-2007-0056
No
Yes

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.8/10
6.4/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial

Ashop Commerce provides a turn-key ecommerce solution with it's revolutionary online store building software. One of the
worlds most easy to use web based administrations with award winning features allows the merchant to set up an online
store capable of competing with the webs most powerful stores for a simple, low monthly fee. An attacker may leverage
this issue to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected
site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

Description: AShop Shopping Cart Multiple XSS Vulnerabilities

Hackers Center Security Group (http://www.hackerscenter.com)
Doz's Advisory

Risk: Medium
Vendor: www.ashopsoftware.com
Class: cross-site scripting

Vulnerable: AShop Deluxe version 4.5.x & AShop Administration Panel

Exploit: Attackers can exploit these issues via a web client.

www.site.com/ashop/catalogue.php?cat=[XSS]

www.site.com/ashop/catalogue.php?exp=[XSS]

www.site.com/ashop/basket.php?cat=[XSS]

www.site.com/ashop/search.php?searchstring=[XSS]

www.site.com/ashop/shipping.php?action=checkout=[XSS]

www.site.com/ashop/shipping.php?action=[XSS]

www.site.com/cart-path/admin/editcatalogue.php?cat=[XSS]

www.site.com/cart-path/admin/salesadmin.php?resultpage=[XSS]

Live Demo: www.ashopsoftware.com/deluxe-demo/admin/index.php

See this note in TXT Version

Bugtraq RSS
Bugtraq
 
REDDIT
REDDIT
 
DIGG
DIGG
 
LinkedIn
LinkedIn
 
CVE RSS
CVEMAP

Copyright 2014, cxsecurity.com
Ascii Version